    001/*
    002 * Licensed to the Apache Software Foundation (ASF) under one
    003 * or more contributor license agreements.  See the NOTICE file
    004 * distributed with this work for additional information
    005 * regarding copyright ownership.  The ASF licenses this file
    006 * to you under the Apache License, Version 2.0 (the
    007 * "License"); you may not use this file except in compliance
    008 * with the License.  You may obtain a copy of the License at
    009 *
    010 * http://www.apache.org/licenses/LICENSE-2.0
    011 *
    012 * Unless required by applicable law or agreed to in writing,
    013 * software distributed under the License is distributed on an
    014 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    015 * KIND, either express or implied.  See the License for the
    016 * specific language governing permissions and limitations
    017 * under the License.
    018 */
    019package org.apache.commons.compress.parallel;
    020
    021import java.io.IOException;
    022
    023/**
    024 * Supplies {@link ScatterGatherBackingStore} instances.
    025 *
    026 * @since 1.10
    027 */
    028public interface ScatterGatherBackingStoreSupplier {
    029    /**
    030     * Create a ScatterGatherBackingStore.
    031     *
    032     * @return a ScatterGatherBackingStore, not null
    033     * @throws IOException when something fails
    034     */
    035    ScatterGatherBackingStore get() throws IOException;
    036}